## org.codehaus.groovy.grails.web.converters.marshaller.xml
Class DeepDomainClassMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.xml.DomainClassMarshaller
          org.codehaus.groovy.grails.web.converters.marshaller.xml.DeepDomainClassMarshaller

All Implemented Interfaces:
  ObjectMarshaller<XML>

    public class DeepDomainClassMarshaller

extends DomainClassMarshaller

Since:
  1.1
Author:
  Siegfried Puchbauer

Constructor Summary
`DeepDomainClassMarshaller()`

Method Summary
`protected boolean` `isRenderDomainClassRelations()`

Methods inherited from class org.codehaus.groovy.grails.web.converters.marshaller.xml.DomainClassMarshaller
`asShortObject, extractIdValue, marshalObject, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeepDomainClassMarshaller

    public DeepDomainClassMarshaller()

Method Detail

### isRenderDomainClassRelations

    protected boolean isRenderDomainClassRelations()

  Overrides:
    `isRenderDomainClassRelations` in class `DomainClassMarshaller`

Copyright (c) 2005-2009 The Grails project